Bug 1133679 - unable to modify user in UI as it incorrectly states "Administrator cannot be removed from the last admin account"
Summary: unable to modify user in UI as it incorrectly states "Administrator cannot be...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Users & Roles
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Dominic Cleal
QA Contact: Corey Welton
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: sam20-tracker
TreeView+ depends on / blocked
 
Reported: 2014-08-25 19:35 UTC by Tom McKay
Modified: 2017-02-23 21:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:13:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 7253 0 None None None 2016-04-22 16:51:27 UTC
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Tom McKay 2014-08-25 19:35:03 UTC
The bit of code in app/model/user.rb ensure_last_admin_remains_admin()
<pre>
!new_record? && admin_changed? && !admin && User.unscoped.only_admin.except_hidden.size <= 1
</pre>
evaluates (incorrectly) to true.

User.unscoped.only_admin.except_hidden.size = 1

Why is more than one admin required?

Comment 1 Tom McKay 2014-08-25 19:35:04 UTC
Created from redmine issue http://projects.theforeman.org/issues/7253

Comment 3 Dominic Cleal 2014-09-08 07:49:12 UTC
As per redmine comment.

Comment 4 Dominic Cleal 2014-09-09 07:27:53 UTC
Steps to Reproduce:
1. ensure only one admin is present
2. create "test" user with API or CLI, don't specify the admin flag (assume false, but would be stored as nil)
3. run "foreman-rake console", run: User.find_by_login("test").admin
4. edit the user via the web UI, try changing the first/last name

Actual results:
3. => nil
4. Administrator cannot be removed from the last admin account

Expected results:
3. => false
4. saves successfully

Comment 7 Bryan Kearney 2014-09-15 13:45:44 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/7253 has been closed
-------------
Dominic Cleal
Applied in changeset commit:b8391adc2f720734551c57af96a2a50b9699fb58.

Comment 10 Corey Welton 2015-03-06 17:32:33 UTC
QE Verified.  I was having issues with the rake command above, but a minor tweak gave me results, and subsequently when I changed first/surname and re-ran, the updates appeared.

Verified in Satellite-6.1.0-RHEL-7-20150303.0

Comment 11 Bryan Kearney 2015-08-11 13:20:22 UTC
This bug is slated to be released with Satellite 6.1.

Comment 12 errata-xmlrpc 2015-08-12 05:13:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.